export const PREFIX = 'product-dialog';

export enum DialogStatus {
  // 加载中
  LOADING = 'loading',
  // 直接联系通告主
  JOB_CONTACT_DIRECT = 'job_contact_direct',
  // 联系客服去联系通告主 -> 订阅通知
  JOB_CONTACT_CS = 'job_contact_customer_service',
  // 需要解锁
  JOB_NEED_UNLOCK = 'job_need_unlock',
  // 解锁次数已用完
  JOB_UNABLE_UNLOCK = 'job_unable_unlock',
  // 通告解锁次数用完，购买界面
  JOB_BUY = 'job_buy',
  // 加群二维码
  GROUP_QR_CODE = 'group_qr_code',
  // 确定加群
  GROUP_CONFIRM_ADD = 'group_confirm_add',
  // 加群次数用完
  GROUP_NEED_BUY_ADD = 'group_need_buy_add',
  // 购买群数，需要购买
  GROUP_BUY = 'group_buy',
  GROUP_BUY_SUCCESS = 'group_buy_success',
  // 去群内联系发布人
  // JOB_CONTACT_GO_GROUP = 'job_contact_go_group',
  // 群内联系发布人，解锁加群
  JOB_CONTACT_INVITE_GROUP = 'job_contact_invite_group',
  // 群内联系发布人，次数用完，需要购买
  JOB_CONTACT_NEED_BUY_GROUP = 'job_contact_need_buy_group',
  // 企业发布通告会员
  PUBLISH_JOB_BUY = 'publish_job_buy',
  // 企业购买单次发布通告
  COMPANY_PUBLISH_JOB_BUY = 'company_publish_job_buy',
  // 发布通告联系客服二维码
  PUBLISH_QR_CODE = 'publish_qr_code',
}
