export enum CollectEventName {
  DEBUG = 'dev_debug_info',
  CREATE_ORDER_VIEW = 'create_order_view',
  UPLOAD_VIDEO_FAILED = 'upload_video_failed',
  SAVE_VIDEO_LIST_FAILED = 'save_video_list_failed',
  VIDEO_EXCEEDING_LIMITS = 'video_exceeding_limits',
  MATERIAL_CARD_VIEW = 'material_card_view',
  CREATE_MATERIAL_FAILED = 'create_material_failed',
  UPDATE_MATERIAL_FAILED = 'update_material_failed',
  UPDATE_ID_CARD_FAILED = 'update_id_card_failed',
  CERTIFICATION_PAGE = 'certification_page',
  SUBMIT_CERTIFICATION_FAILED = 'submit_certification_failed',
  PUBLISH_JOB_FAILED = 'publish_job_failed',
  PUBLISH_OPEN_JOB_FAILED = 'publish_open_job_failed',
  UPDATE_JOB_FAILED = 'update_job_failed',
  CLOSE_JOB_FAILED = 'close_job_failed',
  VIEW_MATERIAL_FAILED = 'view_material_failed',
  REQUEST_MATERIAL_SHARE_CODE_FAILED = 'request_material_share_code_failed',
  SWITCH_APP_MODE_FAILED = 'SWITCH_APP_MODE_FAILED',
  MESSAGE_DEV_LOG = 'MESSAGE_DEV_LOG',
}

export enum ReportEventId {
  VIEW_MATERIAL_GUIDE = 'view_material_guide',
  CLICK_UPLOAD_VIDEO = 'click_upload_video',
  CLICK_SAVE_VIDEOS = 'click_save_videos',
  CLICK_PASTE_RESUME_TEXT = 'click_paste_resume_text',
  CLICK_SAVE_RESUME_TEXT = 'click_save_resume_text',
  CLICK_GO_TO_CREATE_MATERIAL = 'click_go_to_create_material',
  CLICK_JOB_CONTACT = 'click_job_contact',
  CLICK_START_CERTIFICATION = 'click_start_certification',
  CLICK_UPLOAD_ID_CARD = 'click_upload_id_card',
  CLICK_CERTIFICATION_SUBMIT = 'click_certification_submit',
  CLICK_GO_TO_PUBLISH_JOB = 'click_go_to_publish_job',
  CLICK_PAY_PUBLISH_JOB = 'click_pay_publish_job',
}
