import { useSelector } from 'react-redux';

import { RoleType } from '@/constants/app';
import { selectRoleType } from '@/store/selector';

function useRoleType() {
  return useSelector(selectRoleType) || RoleType.Anchor;
}

export default useRoleType;
