export interface IPaginationRequest {
  page?: number; // 页码，默认值为 1
  pageSize?: number; //每页的数量，默认值为 10
}

export interface IPaginationResponse {
  page: number; // 当前页码
  pageSize: number; // 每页的数量
  hasMore: boolean; // 是否有更多数据
}
