// 微信小程序用户登录请求接口
export interface LoginRequest {
  code: string; // 微信登录凭证（code）
}

// 微信小程序用户登录响应接口
export interface LoginResponse {
  token: string; // 服务器返回的 JWT token
  expires: number; // token 有效期，单位为毫秒
}
