import { RoleType, PageType } from '@/constants/app';
import { UserMessage } from '@/types/message';
import { PartnerInfo } from '@/types/partner';

import { LocationInfo } from './location';
import { UserInfo } from './user';

export interface IState {
  appState: AppState;
  userInfo: UserInfo;
  message: UserMessage;
  partnerInfo: PartnerInfo;
}

export interface AppState {
  roleType: RoleType;
  homePageType: PageType;
  location: LocationInfo;
}
