import { Loading } from '@taroify/core';
import classNames from 'classnames';

import './index.less';

interface IProps {
  className?: string;
}

const PREFIX = 'page-loading';

function PageLoading(props: IProps) {
  const { className } = props;
  return (
    <div className={classNames(PREFIX, className)}>
      <Loading direction="vertical">加载中...</Loading>
    </div>
  );
}

export default PageLoading;
