export enum MessageType {
  Text = '1',
  File = '2',
  Image = '3',
  TextAndFile = '4',
  RequestAnchorContact = '5',
  RequestCompanyContact = '6',
  Material = '7',
  Job = '8',
  Location = '9',
  Time = '10',
}

export enum MessageActionStatus {
  Send = 0,
  Agree = 1,
  Reject = 2,
  AgreeByDefault = 3,
}

export enum ChatWatchType {
  AnchorReject = 1,
  CompanyReject = 2,
}

export const REFRESH_UNREAD_COUNT_TIME = 20 * 1000;
export const REFRESH_CHAT_LIST_TIME = 20 * 1000;
export const PULL_NEW_MESSAGES_TIME = 3 * 1000;
